-- +goose Up
CREATE TABLE feed_follows (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	created_at DATE NOT NULL,
	updated_at DATE NOT NULL,
	user_id INTEGER NOT NULL REFERENCES users(id) ON DELETE CASCADE,
	feed_id INTEGER NOT NULL REFERENCES feeds(id) ON DELETE CASCADE,
	UNIQUE(user_id, feed_id)
);

-- +goose Down
DROP TABLE feed_follows;
